MC collection ROI threshold needs tuning
08/07/2019 04:23 PM - Tingjun Yang
Description

While debugging another problem, | noticed the current ROI threshold needs some tuning for the collection plane wires.

In this event, no hit was reconstructed on wire 55 of collection plane:
The raw signal looks large:
It is the 1st event in this file:
/pnfs/dune/scratch/users/tiyang/gen_protoDune_electron_1GeV_mono_g4_nosce_detsim.root

The reconstruction fcl file | used was protoDUNE_reco.fcl.

David, could you please take a look at this? Thanks.

Tingjun
History

#1 - 08/07/2019 05:49 PM - David Adams

| am trying to have look.
| see the reco is filtering bad channels. Is this such a channel?
Which APA are you looking at?

#2 - 08/07/2019 06:01 PM - David Adams

Never mind the APA question. | see the only tracks are in APA 3.

#3 - 08/07/2019 06:08 PM - Tingjun Yang

Yes, the track is in APA 3. It is not a dead wire. Otherwise the wire will show up as gray in the display.

#4 - 08/07/2019 06:22 PM - David Adams
- File adcprp_tpp0z_run000001_evt000001.png added
- File adcraw_tpp0z_run000001_evt000001.png added

| attach my displays of the "raw" data--actually just after subtracting pedestal--and full reco following your fcl.
Can you see your problem there?

#5 - 08/07/2019 06:37 PM - Tingjun Yang
- File adcprp_tpp0z_run000001_evt000001_mod.png added

| add an arrow to show where the empty wire is.
adcprp_tpp0z_run000001_evt000001_mod.png

#6 - 08/08/2019 08:19 AM - David Adams
- File adcprp-norbc_tpp0z_run000001_evt000001.png added

The channel you indicate is 2135. The ROI for that channel is present. Otherwise the region would be displayed in gray.

The sim dataprep service includes the following tools:

services.RawDigitPrepService.AdcChannelToolNames: [
"digitReader",
"adcSampleFiller",
"adcVintageDeconvoluter",
"adcThresholdSignalFinder",
"pdsp_RemoveBadChannels"]

If I leave off the last of these, the channel is not zeroed out: Prepared ADC for TPC plane 0z (APA 3: US-RaS)
This configuration zeroes out channels marked as bad or noisy with the last tool:

pdsp_RemoveBadChannels: {
LogLevel: 1
RemoveBadChs: "true"
RemoveNoisyChs: "true"
tool_type: "RemoveBadChannels"

}

| checked our list and 2135 is marked noisy but not bad. We can change the configuration to only drop bad channels (i.e. keep the noisy ones) or we
can drop the tool and not zero out any channels.

If we do keep the tool, | suggest to instead run it immediately after adcSampleFiller so we don't find any ROls for the channel.
If you want to make the plots | show here, add pdchtp_Zplanes at the desired point in the tool list.

#7 - 08/08/2019 11:13 AM - Tingjun Yang
- File evd.twq-proj.5809.36987.png added

Thanks David. You are right. | am taking all channels from this list:

https://cdcvs.fnal.gov/redmine/projects/dunetpc/repository/revisions/develop/entry/dune/Protodune/singlephase/fcl/channelstatus_pdsp.fcl

including both dead channels and noisy channels. The event display only flag bad channels as grey. There are a few noisy channels from FEMB302:

# femb302x
2135,
2146,
2158,
2161,

Those channels are clearly quite noisy, but it seems the signal to noise ratio is still quite high. See the attached display for channel 2135.
Shall I only skip the bad channels and keep the noisy channels in the tool RemoveBadChannels?

Thanks,
Tingjun

#8 - 08/08/2019 11:27 AM - Tingjun Yang
https://cdcvs.fnal.gov/redmine/projects/dunetpc/repository/revisions/develop/entry/dune/Protodune/singlephase/fcl/channelstatus_pdsp.fcl

- File evd.twq-proj.5809.36987.ch2169.png added

Since we are discussing this, | have noticed that channel 2169 is flagged as bad channel:

2169, # femb302x07, Mostly stuck on one bad code, 5308-76

This is another channel from FEMB302. See the event display, it is indeed very sticky. But this is a channel where all beam particles will pass so |
wonder if we can move it to the noisy channel list together with other channels from FEMB302. | think it is useful to get hit information from this
channel for pattern recognition.
#9 - 08/09/2019 09:44 AM - David Adams
Tingjun:

| believe it was your idea to remove bad channels in simulation dataprep. For me, it is fine to keep noisy channels or keep all channels. Again, |
suggest to move the tool earlier in the chain if we keep it.

The comment indicates channel 2169 pedestal is almost always stuck on one code. This means our evaluation of the the pedestal is likely to be off by
as many as 30 ADC counts. And it seems likely signal measurements will have a similar issue and the channel is behaving like a six bit ADC. We
have three states--bad, noisy and good--and channels with such issues have been classified as bad because it will require significant effort to
understand the reliability of their charge measurement. If it really makes a big difference for pattern recognition, we can put in the effort to validate this
channel and develop a strategy for assigning its charge uncertainty. We should do another bad channel survey and may decide to reclassify this an
other channels.

#10 - 08/09/2019 10:47 AM - Tingjun Yang

Thanks David for you comments. Yes, | introduced this tool because wirecell 2D deconvolution does not handle bad channels right now. | have
modified the tool to only remove bad channels and keep noisy channels. | also moved channel 2169 to noisy channel list. The analyzers can ignore
the charge on that wire but the information will help pattern recognition for beam particles. | agree with you in the long term we should develop a
strategy to reconstruct charge and assign uncertainties for such channels.

#11 - 08/14/2019 01:44 PM - Tingjun Yang

| have decided to move channel 2169 back to the bad channel list to be consistent. We should think about how to recover those channels later.

#12 - 08/16/2019 08:02 AM - Tingjun Yang

- Status changed from New to Closed
